package org.project.entity;

import org.project.entity.players.Player;

public abstract class Entity {

    public abstract void stun(boolean value);

    public abstract void setHp(int newHp);

    public abstract boolean isCritical();

    public abstract boolean isStunned();

    public abstract void makeCritical(boolean value);

    public abstract void makeDie();

    public abstract void takeDamage(int damage);

    public abstract boolean isDead();

    public abstract void heal(int health);
}
